<?php
/**
 * Archive
 *
 * @package Digital
 */

$menus['blog']['child']['blog-archive'] = array(
  'title' => esc_html__( 'Archives', 'digital' ),
  'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'digital' ),
);

$sections['blog-archive'] = array(
  array(
    'id'    => 'archive_post_title_heading',
    'type'  => 'heading',
    'title' => esc_html__( 'Archive Post Font', 'digital' ),
  ),
  array(
    'id'    => 'archive_post_title_font',
    'type'  => 'typography',
    'title' => esc_html__( 'Post Title Font', 'digital' ),
    'std'   => array(
      'preview-text'   => 'Post Title Font',
      'preview-color'  => 'light',
      'font-family'    => 'Red Hat Display',
      'font-weight'    => '700',
      'font-size'      => '24px',
      'line-height'    => '28px',
      'letter-spacing' => '0.5px',
      'color'          => '#3f2f45',
      'css-selectors'  => '.archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
    ),
  ),
  array(
    'id'    => 'archive_post_excerpt_font',
    'type'  => 'typography',
    'title' => esc_html__( 'Post Excerpt Font', 'digital' ),
    'std'   => array(
      'preview-text'  => 'Post Excerpt Font',
      'preview-color' => 'light',
      'font-family'   => 'Red Hat Display',
      'font-weight'   => '500',
      'font-size'     => '16px',
      'line-height'   => '1.5',
      'color'         => '#a09195',
      'css-selectors' => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
    ),
  ),
  array(
    'id'    => 'archive_meta_info_heading',
    'type'  => 'heading',
    'title' => esc_html__( 'Archive Meta Info', 'digital' ),
  ),
  array(
    'id'       => 'mts_archive_headline_meta_info',
    'type'     => 'layout2',
    'title'    => esc_html__( 'Archive Meta Info', 'digital' ),
    'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on Archives.', 'digital' ),
    'options'  => array(
      'enabled'  => array(
        'category' => array(
          'label'     => esc_html__( 'Categories', 'digital' ),
          'subfields' => array(
            array(
              'id'    => 'mts_meta_info_category_icon_archive',
              'type'  => 'icon_select',
              'title' => esc_html__( 'Select Icon', 'digital' ),
            ),
          ),
        ),
      ),
      'disabled' => array(
        'author'  => array(
          'label'     => __( 'Author Name', 'digital' ),
          'subfields' => array(
            array(
              'id'    => 'mts_meta_info_author_icon_archive',
              'type'  => 'icon_select',
              'title' => esc_html__( 'Select Icon', 'digital' ),
            ),
          ),
        ),
        'date'    => array(
          'label'     => esc_html__( 'Date', 'digital' ),
          'subfields' => array(
            array(
              'id'    => 'mts_meta_info_date_icon_archive',
              'type'  => 'icon_select',
              'title' => esc_html__( 'Select Icon', 'digital' ),
            ),
          ),
        ),
        'comment' => array(
          'label'     => esc_html__( 'Comment Count', 'digital' ),
          'subfields' => array(
            array(
              'id'    => 'mts_meta_info_comment_icon_archive',
              'type'  => 'icon_select',
              'title' => esc_html__( 'Select Icon', 'digital' ),
              'std'   => 'comment-o',
            ),
          ),
        ),
      ),
    ),
    'std'      => array(
      'enabled'  => array(
        'category' => array(
          'label'     => esc_html__( 'Categories', 'digital' ),
          'subfields' => array(
            array(
              'id'    => 'mts_meta_info_category_icon_archive',
              'type'  => 'icon_select',
              'title' => esc_html__( 'Select Icon', 'digital' ),
            ),
          ),
        ),
      ),
      'disabled' => array(
        'author'  => array(
          'label'     => __( 'Author Name', 'digital' ),
          'subfields' => array(
            array(
              'id'    => 'mts_meta_info_author_icon_archive',
              'type'  => 'icon_select',
              'title' => esc_html__( 'Select Icon', 'digital' ),
            ),
          ),
        ),
        'comment' => array(
          'label'     => esc_html__( 'Comment Count', 'digital' ),
          'subfields' => array(
            array(
              'id'    => 'mts_meta_info_comment_icon_archive',
              'type'  => 'icon_select',
              'title' => esc_html__( 'Select Icon', 'digital' ),
            ),
          ),
        ),
      ),
    ),
  ),
  array(
    'id'    => 'archive_meta_info_font',
    'type'  => 'typography',
    'title' => esc_html__( 'Post Meta Info Typography', 'digital' ),
    'std'   => array(
      'preview-text'   => 'Post Meta Info Font',
      'preview-color'  => 'light',
      'font-family'    => 'Red Hat Display',
      'font-weight'    => '700',
      'font-size'      => '15px',
      'line-height'    => '28px',
      'letter-spacing' => '1.5px',
      'color'          => '#a09195',
      'additional-css' => 'text-transform: uppercase;',
      'css-selectors'  => '.archive .latestPost .post-info, .archive .latestPost .post-info a, .search .latestPost .post-info, .search .latestPost .post-info a',
    ),
  ),
  array(
    'id'       => 'archive_category_color',
    'type'     => 'color',
    'title'    => esc_html__( 'Category Color', 'digital' ),
    'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'digital' ),
    'std'      => digital_get_settings( 'secondary_color_scheme' ),
  ),
  array(
    'id'       => 'archive_readmore',
    'type'     => 'switch',
    'title'    => esc_html__( 'Enable/Disable Read More', 'digital' ),
    'sub_desc' => esc_html__( 'Use this button to show or hide Read More.', 'digital' ),
    'std'      => '1',
  ),
  array(
    'id'         => 'archive_readmore_font',
    'type'       => 'typography',
    'title'      => esc_html__( 'Read More Font', 'digital' ),
    'std'        => array(
      'preview-text'  => 'Read More Font',
      'preview-color' => 'light',
      'font-family'   => 'Red Hat Display',
      'font-weight'   => '700',
      'font-size'     => '16px',
      'line-height'   => '20px',
      'color'         => '#a09195',
      'css-selectors' => '.archive .latestPost .readMore a, .search .latestPost .readMore a',
    ),
    'dependency' => array(
      'relation' => 'and',
      array(
        'field'      => 'archive_readmore',
        'value'      => '1',
        'comparison' => '==',
      ),
    ),
  ),
);
