<?php
/**
 * Page Titles and Breadcrumbs
 *
 * @package Digital
 */

$menus['blog']['child']['blog-titles'] = array(
	'title' => esc_html__( 'Blog & Pages Title', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your blog pages & pages title', 'digital' ),
);

// Dependency check the load more button.
$blog_title = array(
	'relation' => 'and',
	array(
		'field'      => 'show_blog_title',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-titles'] = array(

	array(
		'id'       => 'show_blog_title',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Blog Title', 'digital' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Pages Title form here.', 'digital' ),
		'std'      => '1',
	),

	array(
		'id'         => 'blog_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Blog Title', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter blog title text from here.', 'digital' ),
		'std'        => 'The All Digital Blog',
		'dependency' => $blog_title,
	),

	array(
		'id'         => 'blog_subtitle',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Blog Subtitle', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter page subtitle text from here.', 'digital' ),
		'std'        => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor',
		'dependency' => $blog_title,
	),

	array(
		'id'       => 'pages_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set Titles section padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '35px',
			'right'  => '0',
			'bottom' => '75px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'pages_title_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set Titles section margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'pages_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Pages Title Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'    => 'pages_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Page Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Page Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'color'          => '#3f2f45',
			'font-size'      => '40px',
			'line-height'    => '1.25',
			'letter-spacing' => '-0.84px',
			'css-selectors'  => '.pages-title-section .blog-heading',
		),
	),

	array(
		'id'    => 'pages_subtitle_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Page Subheading Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Page Subheading',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'color'         => '#a09195',
			'font-size'     => '16px',
			'line-height'   => '20px',
			'css-selectors' => '.pages-title-section .blog-subtitle',
		),
	),

);
