<?php
/**
 * Copyrights Section
 *
 * @package Tabloid
 */

$menus['footer']['child']['footer-copyrights'] = array(
	'title' => esc_html__( 'Copyrights', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control Copyrights Section', 'digital' ),
);

$footer_social_share = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_footer_social_share',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-copyrights'] = array(
	array(
		'id'       => 'mts_copyrights',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Copyrights Text', 'digital' ),
		'sub_desc' => esc_html__( 'You can change or remove our link from footer and use your own custom text.', 'digital' ) . ( MTS_THEME_WHITE_LABEL ? '' : wp_kses( __( '(You can also use your affiliate link to <strong>earn 55% of sales</strong>. Ex: <a href="https://mythemeshop.com/go/aff/aff" target="_blank">https://mythemeshop.com/?ref=username</a>)', 'digital' ), array( 'strong' => '', 'a' => array( 'href' => array(), 'target' => array() ) ) ) ),
		// translators: Default value.
		'std'      => MTS_THEME_WHITE_LABEL ? null : sprintf( __( 'Theme by %s', 'digital' ), '<a href="http://mythemeshop.com/" rel="nofollow">MyThemeShop</a>' ),
	),
	array(
		'id'    => 'mts_copyrights_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Container', 'digital' ),
	),
	array(
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Copyrights Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'mts_copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set copyrights padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'mts_copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set copyrights margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '35px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'digital' ),
		'sub_desc' => esc_html__( 'Select border', 'digital' ),
	),
	array(
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Copyrights Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '15px',
			'line-height'   => '20px',
			'color'         => '#a09195',
			'css-selectors' => '#copyright-note',
		),
	),
	array(
		'id'    => 'footer_social_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Social', 'digital' ),
	),
	array(
		'id'       => 'mts_footer_social_share',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Footer Social Icons', 'tabloid' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Footer social icons</strong> completely.', 'tabloid' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),
	array(
		'id'         => 'footer_social_icons',
		'title'      => esc_html__( 'Footer Social Icons', 'digital' ),
		'sub_desc'   => esc_html__( 'Add Social Media icons in footer.', 'digital' ),
		'type'       => 'group',
		'groupname'  => esc_html__( 'Footer Icons', 'digital' ), // Group name.
		'subfields'  => array(
			array(
				'id'    => 'footer_icon_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'digital' ),
			),
			array(
				'id'    => 'footer_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Icon background color', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_hover_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Icon background hover color', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Icon color', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Icon hover color', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Icon Margin', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Icon Padding', 'digital' ),
			),
			array(
				'id'    => 'footer_icon_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Icon border radius', 'digital' ),
				'args'  => array( 'type' => 'number' ),
			),
		),
		'std'        => array(
			'facebook'  => array(
				'group_title'               => 'Facebook',
				'group_sort'                => '1',
				'footer_icon_title'         => 'Facebook',
				'footer_icon'               => 'facebook-official',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#a09195',
				'footer_icon_hover_color'   => digital_get_settings( 'secondary_color_scheme' ),
				'footer_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'footer_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'footer_icon_border_radius' => '32',
			),
			'youtube'   => array(
				'group_title'               => 'YouTube',
				'group_sort'                => '2',
				'footer_icon_title'         => 'YouTube',
				'footer_icon'               => 'youtube-play',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#a09195',
				'footer_icon_hover_color'   => digital_get_settings( 'secondary_color_scheme' ),
				'footer_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'footer_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'footer_icon_border_radius' => '32',
			),
			'twitter'   => array(
				'group_title'               => 'Twitter',
				'group_sort'                => '3',
				'footer_icon_title'         => 'Twitter',
				'footer_icon'               => 'twitter',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#a09195',
				'footer_icon_hover_color'   => digital_get_settings( 'secondary_color_scheme' ),
				'footer_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'footer_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'footer_icon_border_radius' => '32',
			),
			'pinterest' => array(
				'group_title'               => 'Pinterest',
				'group_sort'                => '4',
				'footer_icon_title'         => 'Pinterest',
				'footer_icon'               => 'pinterest',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#a09195',
				'footer_icon_hover_color'   => digital_get_settings( 'secondary_color_scheme' ),
				'footer_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'footer_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'footer_icon_border_radius' => '32',
			),
			'instagram' => array(
				'group_title'               => 'Instagram',
				'group_sort'                => '5',
				'footer_icon_title'         => 'Instagram',
				'footer_icon'               => 'instagram',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#a09195',
				'footer_icon_hover_color'   => digital_get_settings( 'secondary_color_scheme' ),
				'footer_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				),
				'footer_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'footer_icon_border_radius' => '32',
			),
		),
		'dependency' => $footer_social_share,
	),
);
