<?php
/**
 * Footer Tab
 *
 * @package Digital
 */

$menus['footer'] = array(
	'icon'  => 'fa-table',
	'title' => esc_html__( 'Footer', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer section.', 'digital' ),
);

$menus['footer']['child']['footer-general'] = array(
	'title' => esc_html__( 'General', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer section.', 'digital' ),
);

$mts_patterns = array(
	'nobg' => array( 'img' => $uri . 'bg-patterns/nobg.png' ),
);
for ( $i = 1; $i <= 29; $i++ ) {
	$mts_patterns[ 'hbg' . $i ] = array( 'img' => $uri . 'bg-patterns/hbg' . $i . '.png' );
}

$footer_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_top_footer',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-general'] = array(

	array(
		'id'       => 'mts_top_footer',
		'type'     => 'switch',
		'title'    => esc_html__( 'Footer', 'digital' ),
		'sub_desc' => esc_html__( 'Enable or disable footer with this option.', 'digital' ),
		'std'      => '0',
	),

	array(
		'id'         => 'mts_top_footer_num',
		'type'       => 'button_set',
		'class'      => 'green',
		'title'      => esc_html__( 'Footer Layout', 'digital' ),
		'sub_desc'   => wp_kses( __( 'Choose the number of widget areas in the <strong>footer</strong>', 'digital' ), array( 'strong' => '' ) ),
		'options'    => array(
			'3' => esc_html__( '3 Widgets', 'digital' ),
			'4' => esc_html__( '4 Widgets', 'digital' ),
			'5' => esc_html__( '5 Widgets', 'digital' ),
		),
		'std'        => '5',
		'dependency' => $footer_dependency,
	),

	array(
		'id'         => 'mts_footer_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Footer Container', 'digital' ),
		'dependency' => $footer_dependency,
	),

	array(
		'id'         => 'mts_top_footer_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Margin', 'digital' ),
		'sub_desc'   => esc_html__( 'Footer margin.', 'digital' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $footer_dependency,
	),
	array(
		'id'         => 'mts_top_footer_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Padding', 'digital' ),
		'sub_desc'   => esc_html__( 'Footer padding.', 'digital' ),
		'std'        => array(
			'top'    => '120px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $footer_dependency,
	),

	array(
		'id'         => 'mts_footer_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Footer Background', 'digital' ),
		'sub_desc'   => esc_html__( 'Set footer background color, pattern and image from here.', 'digital' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $footer_dependency,
	),

);
