<?php
/**
 * HomePage Services Section
 *
 * @package Digital
 */

$menus['homepage']['child']['homepage-3-column-features'] = array(
	'title' => esc_html__( '3 Column Features', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Featured Video Section.', 'digital' ),
);

$text1 = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua';
$text2 = 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. dolore magna aliqua.';
$text3 = 'Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. dolore magna aliqua.';

$sections['homepage-3-column-features'] = array(

	array(
		'id'        => 'home_threefeature',
		'type'      => 'group',
		'title'     => esc_html__( '3 Column Features', 'digital' ),
		'sub_desc'  => esc_html__( 'Add grid item appearing on the homepage 3 Column Features section.', 'digital' ),
		'groupname' => esc_html__( 'Feature', 'digital' ),
		'subfields' => array(
			array(
				'id'    => 'threefeature_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'digital' ),
			),
			array(
				'id'       => 'threefeature_icon_color',
				'type'     => 'color',
				'title'    => esc_html__( 'Icon Color', 'digital' ),
				'sub_desc' => esc_html__( 'Select icon color from here.', 'digital' ),
				'std'      => '#4fbf99',
			),
			array(
				'id'       => 'threefeature_icon_bg_color',
				'type'     => 'color',
				'title'    => esc_html__( 'Icon Background Color', 'digital' ),
				'sub_desc' => esc_html__( 'Select icon background color from here', 'digital' ),
				'std'      => '#f4f5f7',
			),
			array(
				'id'    => 'threefeature_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'digital' ),
			),
			array(
				'id'    => 'threefeature_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'digital' ),
			),
			array(
				'id'    => 'threefeature_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'digital' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'                 => '1',
				'threefeature_icon'          => 'tag',
				'threefeature_icon_color'    => '#4fbf99',
				'threefeature_icon_bg_color' => '#f4f5f7',
				'threefeature_title'         => 'Donec Odio Quisque',
				'threefeature_text'          => $text1,
				'threefeature_link'          => '#',
			),
			'2' => array(
				'group_sort'                 => '2',
				'threefeature_icon'          => 'bolt',
				'threefeature_icon_color'    => '#a08ccb',
				'threefeature_icon_bg_color' => '#f4f5f7',
				'threefeature_title'         => 'Donec Odio Quisque',
				'threefeature_text'          => $text2,
				'threefeature_link'          => '#',
			),
			'3' => array(
				'group_sort'                 => '3',
				'threefeature_icon'          => 'bell',
				'threefeature_icon_color'    => '#60a7bd',
				'threefeature_icon_bg_color' => '#f4f5f7',
				'threefeature_title'         => 'Donec Odio Quisque',
				'threefeature_text'          => $text3,
				'threefeature_link'          => '#',
			),
		),
	),

	array(
		'id'    => 'threefeature_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '20px',
			'color'          => '#3f2f45',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 1.8px;',
			'css-selectors'  => '.threefeature-section h3',
		),
	),

	array(
		'id'    => 'threefeature_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Text Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'line-height'   => '1.5',
			'color'         => '#a09195',
			'css-selectors' => '.threefeature-section p',
		),
	),

	array(
		'id'    => 'threefeature_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'digital' ),
	),

	array(
		'id'       => 'threefeature_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'threefeature_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set 3 Column Features section padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'threefeature_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set 3 Column Features section margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '50px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'show_threefeature_svg',
		'type'     => 'switch',
		'title'    => esc_html__( 'Section SVG Background', 'digital' ),
		'sub_desc' => esc_html__( 'Use this button to show/ hide SVG Background', 'digital' ),
		'std'      => '0',
	),
	array(
		'id'         => 'threefeature_svg_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'SVG Position', 'digital' ),
		'sub_desc'   => esc_html__( 'Set SVG position from here.', 'digital' ),
		'std'        => array(
			'top'    => '30px',
			'right'  => '0',
			'bottom' => 'auto',
			'left'   => '-50px',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_threefeature_svg',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
