<?php
/**
 * HomePage Blog Section
 *
 * @package Digital
 */

$menus['homepage']['child']['homepage-blog'] = array(
	'title' => esc_html__( 'Blog', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Blog Section.', 'digital' ),
);

$sections['homepage-blog'] = array(

	array(
		'id'    => 'blog_icon',
		'type'  => 'icon_select',
		'title' => esc_html__( 'Icon', 'digital' ),
		'std'   => 'book',
	),
	array(
		'id'       => 'blog_tagline',
		'type'     => 'text',
		'title'    => esc_html__( 'Tagline', 'digital' ),
		'sub_desc' => esc_html__( 'Enter tagline for blog section.', 'digital' ),
		'std'      => 'Lorem Ipsum Dolor Sit',
	),
	array(
		'id'       => 'home_blog_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'digital' ),
		'sub_desc' => esc_html__( 'Enter title for blog section.', 'digital' ),
		'std'      => 'Vestibulum Auctor Dapibus Neque?',
	),
	array(
		'id'    => 'blog_tagline_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tagline Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Tagline Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '20px',
			'color'          => '#a09195',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 1.5px;',
			'css-selectors'  => '.blog-section .tagline',
		),
	),
	array(
		'id'    => 'blog_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '40px',
			'line-height'    => '1.25',
			'color'          => '#3f2f45',
			'additional-css' => 'letter-spacing: -0.85px;',
			'css-selectors'  => '.blog-section .heading',
		),
	),

	array(
		'id'    => 'blog_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Blog Posts', 'digital' ),
	),

	array(
		'id'       => 'blog_post_num',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of posts', 'digital' ),
		'sub_desc' => esc_html__( 'Enter the number of posts to show in blog section.', 'digital' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '3',
	),
	array(
		'id'    => 'blog_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Post Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'line-height'    => '28px',
			'color'          => '#3f2f45',
			'additional-css' => 'letter-spacing: 0.504px;',
			'css-selectors'  => '.post-wrapper h3',
		),
	),
	array(
		'id'    => 'blog_post_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Content',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'line-height'   => '1.5',
			'color'         => '#a09195',
			'css-selectors' => '.blog-section li .front-view-content',
		),
	),

	array(
		'id'    => 'blog_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'digital' ),
	),

	array(
		'id'       => 'blog_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Blog Section Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'blog_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set blog section padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'blog_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set blog section margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '150px',
			'right'  => '0',
			'bottom' => '115px',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'blog_svg_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'SVG Settings', 'digital' ),
	),

	array(
		'id'       => 'show_blog_svg',
		'type'     => 'switch',
		'title'    => esc_html__( 'Section SVG Background', 'digital' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => esc_html__( 'Use this button to show/ hide SVG Background', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'         => 'blog_svg_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'SVG Position', 'digital' ),
		'sub_desc'   => esc_html__( 'Set SVG from here.', 'digital' ),
		'std'        => array(
			'top'    => '0px',
			'right'  => '-62px',
			'bottom' => 'auto',
			'left'   => 'auto',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_blog_svg',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
