<?php
/**
 * HomePage CTA 2 Section
 *
 * @package Digital
 */

$menus['homepage']['child']['homepage-cta-2'] = array(
	'title' => esc_html__( 'CTA 2', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the CTA 2 Section.', 'digital' ),
);

$cta_button = array(
	'relation' => 'and',
	array(
		'field'      => 'cta2_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['homepage-cta-2'] = array(

	array(
		'id'       => 'cta2_heading',
		'type'     => 'text',
		'title'    => esc_html__( 'Heading', 'digital' ),
		'sub_desc' => esc_html__( 'Enter heading from here.', 'digital' ),
		'std'      => esc_html__( 'Praesent Turpis Placerat Quis Eros', 'digital' ),
	),

	array(
		'id'       => 'cta2_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Text', 'digital' ),
		'sub_desc' => esc_html__( 'Enter text from here.', 'digital' ),
		'std'      => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.', 'digital' ),
	),

	array(
		'id'       => 'cta2_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show CTA 2 Button', 'digital' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>CTA Button</strong> completely.', 'digital' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'         => 'cta2_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'digital' ),
		'std'        => esc_html__( 'Request a Demo', 'digital' ),
		'dependency' => $cta_button,
	),

	array(
		'id'         => 'cta2_button_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Button URL', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter button URL.', 'digital' ),
		'std'        => '#',
		'dependency' => $cta_button,
	),

	array(
		'id'         => 'cta2_button_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Background Color', 'digital' ),
		'sub_desc'   => esc_html__( 'CTA 2 button background color', 'digital' ),
		'std'        => digital_get_settings( 'primary_color_scheme' ),
		'dependency' => $cta_button,
	),

	array(
		'id'         => 'cta2_button_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Hover Color', 'digital' ),
		'sub_desc'   => esc_html__( 'CTA 2 button background color', 'digital' ),
		'std'        => '#ffffff',
		'dependency' => $cta_button,
	),

	array(
		'id'         => 'cta2_button_hover_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Hover Background Color', 'digital' ),
		'sub_desc'   => esc_html__( 'CTA 2 button background color', 'digital' ),
		'std'        => '#94dbc3',
		'dependency' => $cta_button,
	),

	array(
		'id'    => 'cta2_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'CTA 2 Heading Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'color'          => '#3f2f45',
			'font-size'      => '40px',
			'line-height'    => '50px',
			'letter-spacing' => '0.84px',
			'css-selectors'  => '.cta2-section h2',
		),
	),

	array(
		'id'    => 'cta2_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'CTA 2 Text Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'color'         => '#a09195',
			'font-size'     => '16px',
			'line-height'   => '1.5',
			'css-selectors' => '.cta2-section p',
		),
	),

	array(
		'id'    => 'cta2_button_font',
		'type'  => 'typography',
		'title' => esc_html__( 'CTA 2 Button Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Button Font',
			'preview-color' => 'dark',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'color'         => '#ffffff',
			'font-size'     => '16px',
			'css-selectors' => '.cta2-section .button',
		),
	),

	array(
		'id'    => 'cta2_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'digital' ),
	),

	array(
		'id'       => 'cta2_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'cta2_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set CTA 2 section padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'cta2_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set CTA 2 section margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '30px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'show_cta2_svg',
		'type'     => 'switch',
		'title'    => esc_html__( 'Section SVG Background', 'digital' ),
		'sub_desc' => esc_html__( 'Use this button to show/ hide SVG Background', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'         => 'cta2_svg_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'SVG Position', 'digital' ),
		'sub_desc'   => esc_html__( 'Set SVG position from here.', 'digital' ),
		'std'        => array(
			'top'    => '30px',
			'right'  => '0',
			'bottom' => 'auto',
			'left'   => '-50px',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_cta2_svg',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
