<?php
/**
 * HomePage Featured Video
 *
 * @package Digital
 */

$text = 'Canis certified dog traingersspecialize in behavior';

$menus['homepage']['child']['homepage-featured-video'] = array(
	'title' => esc_html__( 'Featured Video', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Featured Video Section.', 'digital' ),
);

$sections['homepage-featured-video'] = array(

	array(
		'id'    => 'featured_video_icon',
		'type'  => 'icon_select',
		'title' => esc_html__( 'Icon', 'digital' ),
		'std'   => 'paper-plane',
	),
	array(
		'id'       => 'featured_video_tagline',
		'type'     => 'text',
		'title'    => esc_html__( 'Tagline', 'digital' ),
		'sub_desc' => esc_html__( 'Enter Tagline from here.', 'digital' ),
		'std'      => 'Lorem Ispum Dolor Sit',
	),
	array(
		'id'       => 'featured_video_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'digital' ),
		'sub_desc' => esc_html__( 'Enter title for Featured Video from here.', 'digital' ),
		'std'      => 'Vestibulum Auctor Dapibus Neque',
	),
	array(
		'id'    => 'featured_video_tagline_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tagline Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Tagline Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '20px',
			'color'          => '#a09195',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 1.5px;',
			'css-selectors'  => '.featured-videos-section .tagline',
		),
	),
	array(
		'id'    => 'featured_video_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '40px',
			'line-height'    => '1.25',
			'color'          => '#3f2f45',
			'additional-css' => 'letter-spacing: -0.85px;',
			'css-selectors'  => '.featured-videos-section .heading',
		),
	),

	array(
		'id'       => 'featured_videos_column',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Videos Grid', 'digital' ),
		'options'  => array(
			'one'   => esc_html__( 'One', 'digital' ),
			'two'   => esc_html__( 'Two', 'digital' ),
			'three' => esc_html__( 'Three', 'digital' ),
			'four'  => esc_html__( 'Four', 'digital' ),
		),
		'sub_desc' => esc_html__( 'Choose number of videos to be shown in a column', 'digital' ),
		'std'      => 'one',
		'class'    => 'green',
	),

	array(
		'id'        => 'featured_videos',
		'type'      => 'group',
		'title'     => esc_html__( 'Videos', 'digital' ),
		'sub_desc'  => esc_html__( 'Add Videos from here.', 'digital' ),
		'groupname' => esc_html__( 'Video', 'digital' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'video_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'digital' ),
			),
			array(
				'id'       => 'video_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Image', 'digital' ),
				'sub_desc' => esc_html__( 'Upload image from here.', 'digital' ),
				'return'   => 'url',
			),
			array(
				'id'       => 'video_url',
				'type'     => 'text',
				'title'    => esc_html__( 'URL', 'digital' ),
				'sub_desc' => esc_html__( 'Enter URL for Featured Video from here.', 'digital' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title' => '1',
				'group_sort'  => '1',
				'video_title' => '1',
				'video_image' => get_template_directory_uri() . '/images/video-1.jpg',
				'video_url'   => 'https://www.youtube.com/watch?v=NgeaqIy2OB0',
			),
		),
	),

	array(
		'id'       => 'video_play_button_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Play Button', 'digital' ),
		'sub_desc' => esc_html__( 'Play button background color', 'digital' ),
		'std'      => digital_get_settings( 'primary_color_scheme' ),
	),

	array(
		'id'       => 'video_play_button_hover_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Play Button Hover', 'digital' ),
		'sub_desc' => esc_html__( 'Play button background hover color', 'digital' ),
		'std'      => '#94dbc3',
	),

	array(
		'id'    => 'featured_video_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'digital' ),
	),

	array(
		'id'       => 'featured_video_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'featured_video_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set Featured Videos section padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'featured_video_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set Featured Videos section margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'show_videos_svg',
		'type'     => 'switch',
		'title'    => esc_html__( 'Section SVG Background', 'digital' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => esc_html__( 'Use this button to show/ hide SVG Background', 'digital' ),
		'std'      => '0',
	),
	array(
		'id'         => 'videos_svg_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'SVG Position', 'digital' ),
		'sub_desc'   => esc_html__( 'Set SVG position from here.', 'digital' ),
		'std'        => array(
			'top'    => '30px',
			'right'  => '0',
			'bottom' => 'auto',
			'left'   => '-50px',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_videos_svg',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
