<?php
/**
 * HomePage Blog Section
 *
 * @package Digital
 */

$menus['homepage']['child']['homepage-hero'] = array(
	'title' => esc_html__( 'Custom Slider', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the custom slider', 'digital' ),
);

$sections['homepage-hero'] = array(
	array(
		'id'        => 'home_slider',
		'type'      => 'group',
		'title'     => esc_html__( 'Slider', 'digital' ),
		'sub_desc'  => esc_html__( 'Add slider appearing on the homepage.', 'digital' ),
		'groupname' => esc_html__( 'Slider', 'digital' ),
		'subfields' => array(
			array(
				'id'    => 'slider_title',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'digital' ),
			),
			array(
				'id'    => 'slider_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Text Color', 'digital' ),
			),
			array(
				'id'    => 'slider_desc',
				'type'  => 'textarea',
				'title' => esc_html__( 'Description', 'digital' ),
			),
			array(
				'id'    => 'slider_desc_color',
				'type'  => 'color',
				'title' => esc_html__( 'Description Color', 'digital' ),
			),
			array(
				'id'    => 'slider_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'digital' ),
			),
			array(
				'id'    => 'slider_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'digital' ),
			),
			array(
				'id'    => 'slider_button_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Text Color', 'digital' ),
			),
			array(
				'id'    => 'slider_button_bg_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background Color', 'digital' ),
				'std'   => digital_get_settings( 'primary_color_scheme' ),
			),
			array(
				'id'    => 'slider_button_text_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Text Color', 'digital' ),
			),
			array(
				'id'    => 'slider_button_bg_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background Color', 'digital' ),
				'std'   => '#94dbc3',
			),
			array(
				'id'     => 'slider_background',
				'type'   => 'upload',
				'title'  => esc_html__( 'Uplaod Slider\'s Background Image', 'digital' ),
				'return' => 'url',
			),
			array(
				'id'       => 'slider_overlay',
				'type'     => 'color',
				'title'    => esc_html__( 'Slider Overlay Color', 'digital' ),
				'sub_desc' => esc_html__( 'Select overlay color for slider from here.', 'digital' ),
				'args'     => array( 'opacity' => true ),
				'std'      => 'rgba(81, 60, 69,0.61)',
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'                     => '1',
				'slider_title'                   => 'Aliquam Tincidunt? Mauris eu Risus',
				'slider_title_color'             => '#ffffff',
				'slider_desc_color'              => '#ffffff',
				'slider_button_text_color'       => '#ffffff',
				'slider_button_bg_color'         => digital_get_settings( 'primary_color_scheme' ),
				'slider_button_text_hover_color' => '#ffffff',
				'slider_button_bg_hover_color'   => '#94dbc3',
				'slider_overlay'                 => 'rgba(81, 60, 69,0.61)',
				'slider_desc'                    => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam',
				'slider_button_text'             => 'Request a Demo',
				'slider_button_url'              => '#',
				'slider_background'              => get_template_directory_uri() . '/images/slider-1-bg.jpg',
			),
		),
	),

	array(
		'id'    => 'slider_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'digital' ),
	),

	array(
		'id'       => 'slider_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set custom slider section background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'slider_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set custom slider section padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '200px',
			'right'  => '0',
			'bottom' => '150px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'slider_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set custom slider section margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'slider_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'digital' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '48px',
			'line-height'    => '50px',
			'letter-spacing' => '-1px',
			'css-selectors'  => '.slider-section .slider-title',
		),
	),

	array(
		'id'    => 'slider_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'digital' ),
		'color' => false,
		'std'   => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'line-height'   => '1.5',
			'css-selectors' => '.slider-section .slider-text',
		),
	),

);
