<?php
/**
 * HomePage Single Testimonial Section
 *
 * @package Digital
 */

$menus['homepage']['child']['homepage-single-testimonial'] = array(
	'title' => esc_html__( 'Single Testimonial', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Single Testimonial Section.', 'digital' ),
);

$sections['homepage-single-testimonial'] = array(
	array(
		'id'       => 'single_testimonial_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Testimonial Title', 'digital' ),
		'sub_desc' => esc_html__( 'Enter Testimonial title from here.', 'digital' ),
		'std'      => 'Donec Justo Eget Felis.',
	),
	array(
		'id'       => 'single_testimonial_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Testimonial Text', 'digital' ),
		'sub_desc' => esc_html__( 'Enter Testimonial text from here.', 'digital' ),
		'std'      => 'Praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi.',
	),
	array(
		'id'       => 'single_testimonial_user',
		'type'     => 'text',
		'title'    => esc_html__( 'Testimonial User', 'digital' ),
		'sub_desc' => esc_html__( 'Enter testimonial user from here.', 'digital' ),
		'std'      => 'Harry Osborne - Osborne Corps',
	),
	array(
		'id'       => 'single_testimonial_user_image',
		'type'     => 'upload',
		'title'    => esc_html__( 'Featured Image', 'digital' ),
		'sub_desc' => esc_html__( 'Select an image file for your featured area.', 'digital' ),
		'return'   => 'url',
		'std'      => get_template_directory_uri() . '/images/single-testimonial.jpg',
	),
	array(
		'id'    => 'single_testimonial_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Testimonial Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Testimonial Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '40px',
			'line-height'    => '1.25',
			'color'          => '#3f2f45',
			'additional-css' => 'letter-spacing: 0.84px;',
			'css-selectors'  => '.single-testimonial-heading',
		),
	),
	array(
		'id'    => 'single_testimonial_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Testimonial Text Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Testimonial Text',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '500',
			'font-size'      => '24px',
			'line-height'    => '38px',
			'color'          => '#5e4c52',
			'additional-css' => 'font-style: italic;',
			'css-selectors'  => '.single-testimonial-text',
		),
	),
	array(
		'id'    => 'single_testimonial_user_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Testimonial User Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Testimonial User',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'color'          => '#a09195',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 1.5px;',
			'css-selectors'  => '.single-testimonial-user',
		),
	),
	array(
		'id'    => 'single_testimonial_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'digital' ),
	),
	array(
		'id'       => 'single_testimonial_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_testimonial_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set Single Testimonial margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_testimonial_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set Single Testimonial padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '150px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'show_single_testimonial_svg',
		'type'     => 'switch',
		'title'    => esc_html__( 'Section SVG Background', 'digital' ),
		'sub_desc' => esc_html__( 'Use this button to show/ hide SVG Background', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'         => 'single_testimonial_svg_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'SVG Position', 'digital' ),
		'sub_desc'   => esc_html__( 'Set SVG position from here.', 'digital' ),
		'std'        => array(
			'top'    => '40px',
			'right'  => '7%',
			'bottom' => 'auto',
			'left'   => 'auto',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_single_testimonial_svg',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
