<?php
/**
 * HomePage Testimonials Section
 *
 * @package Digital
 */

$menus['homepage']['child']['homepage-testimonials-carousel'] = array(
	'title' => esc_html__( 'Testimonials Carousel', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Testimonials Carousel Section.', 'digital' ),
);

$sections['homepage-testimonials-carousel'] = array(

	array(
		'id'       => 'testimonials_carousel_tagline',
		'type'     => 'text',
		'title'    => esc_html__( 'Tagline', 'digital' ),
		'sub_desc' => esc_html__( 'Enter tagline from here.', 'digital' ),
		'std'      => esc_html__( 'Lorem ipsum dolor sit', 'digital' ),
	),

	array(
		'id'       => 'testimonials_carousel_heading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Heading', 'digital' ),
		'sub_desc' => esc_html__( 'Enter heading from here.', 'digital' ),
		'std'      => esc_html__( 'Nullam Malesuada', 'digital' ),
	),

	array(
		'id'        => 'testimonials',
		'type'      => 'group',
		'title'     => esc_html__( 'Testimonials', 'digital' ),
		'sub_desc'  => esc_html__( 'Customize the Testimonials from here.', 'digital' ),
		'groupname' => esc_html__( 'Testimonial', 'digital' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'author_name',
				'type'  => 'text',
				'title' => esc_html__( 'Name', 'digital' ),
			),
			array(
				'id'    => 'author_content',
				'type'  => 'textarea',
				'title' => esc_html__( 'Content', 'digital' ),
			),
			array(
				'id'       => 'author_pic',
				'type'     => 'upload',
				'title'    => esc_html__( 'Image', 'digital' ),
				'sub_desc' => esc_html__( 'Recommended Size: 40 X 40 in pixel.', 'digital' ),
				'return'   => 'url',
			),
			array(
				'id'       => 'author_rating',
				'type'     => 'text',
				'title'    => esc_html__( 'Ratings', 'digital' ),
				'sub_desc' => esc_html__( 'Rating should be between 1 to 5', 'digital' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'    => '1',
				'group_sort'     => '1',
				'author_name'    => 'Willbert N. Duke',
				'author_content' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
				'author_pic'     => get_template_directory_uri() . '/images/customer-1.png',
				'author_rating'  => '3',
			),
			'2' => array(
				'group_title'    => '2',
				'group_sort'     => '2',
				'author_name'    => 'Bobby Kim',
				'author_content' => 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.',
				'author_pic'     => get_template_directory_uri() . '/images/customer-2.png',
				'author_rating'  => '4',
			),
			'3' => array(
				'group_title'    => '3',
				'group_sort'     => '3',
				'author_name'    => 'Dewin Lawrence',
				'author_content' => 'Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
				'author_pic'     => get_template_directory_uri() . '/images/customer-3.png',
				'author_rating'  => '5',
			),
			'4' => array(
				'group_title'    => '4',
				'group_sort'     => '4',
				'author_name'    => 'Rodney Powers',
				'author_content' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
				'author_pic'     => get_template_directory_uri() . '/images/customer-4.png',
				'author_rating'  => '5',
			),
		),
	),

	array(
		'id'    => 'testimonials_carousel_tagline_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tagline Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Tagline Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '20px',
			'color'          => '#a09195',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 1.5px;',
			'css-selectors'  => '.testimonials-carousel-section .tagline',
		),
	),

	array(
		'id'    => 'testimonials_carousel_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Heading Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '40px',
			'line-height'   => '1.25',
			'color'         => '#3f2f45',
			'css-selectors' => '.testimonials-carousel-section .heading',
		),
	),

	array(
		'id'    => 'testimonials_author_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Content Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Author Content',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '500',
			'font-size'      => '18px',
			'line-height'    => '28px',
			'color'          => '#5e4c52',
			'additional-css' => 'font-style: italic;',
			'css-selectors'  => '.testimonials-content p.testimonial',
		),
	),

	array(
		'id'    => 'testimonials_author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Name Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '20px',
			'color'          => '#a09195',
			'additional-css' => 'letter-spacing: 1.5px; text-transform: uppercase;',
			'css-selectors'  => '.testimonials-content h3',
		),
	),

	array(
		'id'    => 'testimonials_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'digital' ),
	),

	array(
		'id'       => 'testimonials_carousel_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Testimonials Section Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'testimonials_carousel_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set testimonials carousel section padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'testimonials_carousel_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set testimonials carousel section margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '80px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'show_carousel_svg',
		'type'     => 'switch',
		'title'    => esc_html__( 'Section SVG Background', 'digital' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => esc_html__( 'Use this button to show/ hide SVG Background', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'         => 'carousel_svg_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'SVG Position', 'digital' ),
		'sub_desc'   => esc_html__( 'Set SVG position from here.', 'digital' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => 'auto',
			'left'   => '-50px',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_carousel_svg',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
