<?php
/**
 * Pricing tab
 *
 * @package Digital
 */

$menus['pricing-ad'] = array(
	'title' => esc_html__( 'Ads', 'digital' ),
	'desc'  => esc_html__( 'Setting here apply to Pricing Ads section.', 'digital' ),
);

$text = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam';

// Dependency check that Pricing Ads option is enable.
$pricing_ad = array(
	'relation' => 'and',
	array(
		'field'      => 'pricing_ad',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['pricing-ad'] = array(
	array(
		'id'         => 'pricing_adcode',
		'type'       => 'ace_editor',
		'mode'       => 'html',
		'title'      => esc_html__( 'Navigation Ad Code', 'digital' ),
		'sub_desc'   => esc_html__( 'Paste your Adsense, BSA or other ad code here to show ads in the Header.', 'digital' ),
		'dependency' => $pricing_ad,
	),

	array(
		'id'         => 'pricing_ad_container_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Ads Container Settings', 'digital' ),
		'dependency' => $pricing_ad,
	),

	array(
		'id'         => 'pricing_ad_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'digital' ),
		'sub_desc'   => esc_html__( 'Set Ads padding from here.', 'digital' ),
		'std'        => array(
			'top'    => '25px',
			'right'  => '0',
			'bottom' => '25px',
			'left'   => '0',
		),
		'dependency' => $pricing_ad,
	),

	array(
		'id'         => 'pricing_ad_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'digital' ),
		'sub_desc'   => esc_html__( 'Set Ads margin from here.', 'digital' ),
		'std'        => array(
			'top'    => '20px',
			'right'  => 'auto',
			'bottom' => '20px',
			'left'   => 'auto',
		),
		'dependency' => $pricing_ad,
	),

	array(
		'id'         => 'pricing_ad_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Ads Background', 'digital' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $pricing_ad,
	),
);
