<?php
/**
 * Pricing tab
 *
 * @package Digital
 */

$menus['pricing-brands'] = array(
	'title' => esc_html__( 'Brands', 'digital' ),
	'desc'  => esc_html__( 'Setting here apply to Pricing Brands section.', 'digital' ),
);

$text = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam';

// Dependency check that Pricing Brands option is enable.
$pricing_brands = array(
	'relation' => 'and',
	array(
		'field'      => 'show_pricing_brands',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['pricing-brands'] = array(
	array(
		'id'         => 'pricing_brands_heading',
		'type'       => 'text',
		'title'      => esc_html__( 'Heading', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter heading from here.', 'digital' ),
		'std'        => esc_html__( 'Adipiscing Donec', 'digital' ),
		'dependency' => $pricing_brands,
	),
	array(
		'id'         => 'pricing_brands_subheading',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Subheading', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter subheading from here.', 'digital' ),
		'std'        => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.', 'digital' ),
		'dependency' => $pricing_brands,
	),

	array(
		'id'         => 'pricing_brands_list',
		'type'       => 'group',
		'title'      => esc_html__( 'Brands', 'digital' ),
		'sub_desc'   => esc_html__( 'Customize the Brands from here.', 'digital' ),
		'groupname'  => esc_html__( 'Brand', 'digital' ), // Group name.
		'subfields'  => array(
			array(
				'id'    => 'pricing_brands_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'digital' ),
			),
			array(
				'id'     => 'pricing_brands_image',
				'type'   => 'upload',
				'title'  => esc_html__( 'Image', 'digital' ),
				'return' => 'url',
			),
		),
		'std'        => array(
			'1' => array(
				'group_title'          => '1',
				'group_sort'           => '1',
				'pricing_brands_title' => '1',
				'pricing_brands_image' => get_template_directory_uri() . '/images/brand1.png',
			),
			'2' => array(
				'group_title'          => '2',
				'group_sort'           => '2',
				'pricing_brands_title' => '2',
				'pricing_brands_image' => get_template_directory_uri() . '/images/brand2.png',
			),
			'3' => array(
				'group_title'          => '3',
				'group_sort'           => '3',
				'pricing_brands_title' => '3',
				'pricing_brands_image' => get_template_directory_uri() . '/images/brand3.png',
			),
			'4' => array(
				'group_title'          => '4',
				'group_sort'           => '4',
				'pricing_brands_title' => '4',
				'pricing_brands_image' => get_template_directory_uri() . '/images/brand4.png',
			),
			'5' => array(
				'group_title'          => '5',
				'group_sort'           => '5',
				'pricing_brands_title' => '5',
				'pricing_brands_image' => get_template_directory_uri() . '/images/brand5.png',
			),
		),
		'dependency' => $pricing_brands,
	),

	array(
		'id'         => 'pricing_brands_container_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Brands Container Settings', 'digital' ),
		'dependency' => $pricing_brands,
	),

	array(
		'id'         => 'pricing_brands_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'digital' ),
		'sub_desc'   => esc_html__( 'Set Brands padding from here.', 'digital' ),
		'std'        => array(
			'top'    => '15px',
			'right'  => '0',
			'bottom' => '30px',
			'left'   => '0',
		),
		'dependency' => $pricing_brands,
	),

	array(
		'id'         => 'pricing_brands_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'digital' ),
		'sub_desc'   => esc_html__( 'Set Brands margin from here.', 'digital' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $pricing_brands,
	),

	array(
		'id'         => 'pricing_brands_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Brands Background', 'digital' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $pricing_brands,
	),

	array(
		'id'         => 'pricing_brands_heading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Brands Heading Font', 'digital' ),
		'std'        => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'color'          => '#3f2f45',
			'font-size'      => '40px',
			'line-height'    => '50px',
			'letter-spacing' => '0.84px',
			'css-selectors'  => '.pricing-brands-heading-section .heading',
		),
		'dependency' => $pricing_brands,
	),

	array(
		'id'         => 'pricing_brands_subheading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Brands Subheading Font', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'color'         => '#a09195',
			'font-size'     => '16px',
			'line-height'   => '1.5',
			'css-selectors' => '.pricing-brands-heading-section .sub-heading',
		),
		'dependency' => $pricing_brands,
	),
);
