<?php
/**
 * Pricing tab
 *
 * @package Digital
 */

$menus['pricing-faqs'] = array(
	'title' => esc_html__( 'FAQs', 'digital' ),
	'desc'  => esc_html__( 'Setting here apply to Pricing FAQs section.', 'digital' ),
);

$text = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam';

// Dependency check that Pricing FAQs option is enable.
$pricing_faqs = array(
	'relation' => 'and',
	array(
		'field'      => 'show_pricing_faqs',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['pricing-faqs'] = array(
	array(
		'id'         => 'pricing_faqs_heading',
		'type'       => 'text',
		'title'      => esc_html__( 'Heading', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter heading from here.', 'digital' ),
		'std'        => esc_html__( 'Frequently Asked Questions', 'digital' ),
		'dependency' => $pricing_faqs,
	),
	array(
		'id'         => 'pricing_faqs',
		'type'       => 'group',
		'title'      => esc_html__( 'FAQ', 'digital' ),
		'sub_desc'   => esc_html__( 'Add FAQ from here', 'digital' ),
		'groupname'  => esc_html__( 'FAQ', 'digital' ),
		'subfields'  => array(
			array(
				'id'    => 'faq_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'digital' ),
			),
			array(
				'id'    => 'faq_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'digital' ),
			),
		),
		'std'        => array(
			'1' => array(
				'group_sort' => '1',
				'faq_title'  => 'Morbi in sem quis dui placerat ornaellen tesque?',
				'faq_text'   => $text,
			),
			'2' => array(
				'group_sort' => '2',
				'faq_title'  => 'Placerat ornaellen tesque lir amet orna?',
				'faq_text'   => $text,
			),
			'3' => array(
				'group_sort' => '3',
				'faq_title'  => 'Suspendisse urna nibh, viverra non, semper suscipit?',
				'faq_text'   => $text,
			),
		),
		'dependency' => $pricing_faqs,
	),

	array(
		'id'         => 'pricing_faqs_container_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'FAQs Container Settings', 'digital' ),
		'dependency' => $pricing_faqs,
	),

	array(
		'id'         => 'pricing_faqs_heading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Heading Font', 'digital' ),
		'std'        => array(
			'preview-text'   => 'Heading Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'color'          => '#3f2f45',
			'font-size'      => '40px',
			'line-height'    => '1.25',
			'letter-spacing' => '-0.84',
			'css-selectors'  => '.faq-section-heading',
		),
		'dependency' => $pricing_faqs,
	),

	array(
		'id'         => 'pricing_faqs_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Title Font', 'digital' ),
		'std'        => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'color'          => '#3f2f45',
			'font-size'      => '24px',
			'line-height'    => '28px',
			'letter-spacing' => '0.5px',
			'css-selectors'  => '.faq-section .faq-question',
		),
		'dependency' => $pricing_faqs,
	),

	array(
		'id'         => 'pricing_faqs_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Text Font', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'color'         => '#a09195',
			'font-size'     => '16px',
			'line-height'   => '1.5',
			'css-selectors' => '.faq-section .faq-answer',
		),
		'dependency' => $pricing_faqs,
	),

	array(
		'id'         => 'pricing_faqs_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'digital' ),
		'sub_desc'   => esc_html__( 'Set FAQs padding from here.', 'digital' ),
		'std'        => array(
			'top'    => '25px',
			'right'  => '0',
			'bottom' => '75px',
			'left'   => '0',
		),
		'dependency' => $pricing_faqs,
	),

	array(
		'id'         => 'pricing_faqs_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'digital' ),
		'sub_desc'   => esc_html__( 'Set FAQs margin from here.', 'digital' ),
		'std'        => array(
			'top'    => '0',
			'right'  => 'auto',
			'bottom' => '0',
			'left'   => 'auto',
		),
		'dependency' => $pricing_faqs,
	),

	array(
		'id'         => 'pricing_faqs_background',
		'type'       => 'background',
		'title'      => esc_html__( 'FAQs Background', 'digital' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $pricing_faqs,
	),
);
