<?php
/**
 * Pricing tab
 *
 * @package Digital
 */

$menus['pricing-table'] = array(
	'title' => esc_html__( 'Table', 'digital' ),
	'desc'  => esc_html__( 'Setting here apply to Pricing Table section.', 'digital' ),
);

$pricing_list = join(
	PHP_EOL,
	[
		'Lorem ipsum dolor sit',
		'Consectetur adipiscing elit',
		'Duis aute irure dolor',
		'Excepteur sint occaecat',
		'Sunt in culpa qui',
		'Cupidatat non proident',
		'Voluptate velit esse ',
		'Enim ad minim veniam',
	]
);

$pricing_desc = 'Per person, per month. Billed annually';

// Dependency check that Pricing Table option is enable.
$pricing_table = array(
	'relation' => 'and',
	array(
		'field'      => 'show_pricing_table',
		'value'      => '1',
		'comparison' => '==',
	),
);

// Dependency check that Recommended button option is enable.
$recommended_button = array(
	'relation' => 'and',
	array(
		'field'      => 'recommended_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['pricing-table'] = array(
	array(
		'id'         => 'pricing_subheading',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Subheading', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter subheading from here.', 'digital' ),
		'std'        => esc_html__( 'Choose the plan that\'s right for you', 'digital' ),
		'dependency' => $pricing_table,
	),
	array(
		'id'         => 'pricing_table',
		'type'       => 'group',
		'title'      => esc_html__( 'Pricing Table', 'digital' ),
		'sub_desc'   => esc_html__( 'Add Pricing Item', 'digital' ),
		'groupname'  => esc_html__( 'Features', 'digital' ),
		'subfields'  => array(
			array(
				'id'    => 'pricing_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'digital' ),
			),
			array(
				'id'       => 'pricing_text',
				'type'     => 'textarea',
				'title'    => esc_html__( 'Features List', 'digital' ),
				'sub_desc' => wp_kses( __( 'Enter Features list in Pricing table. <strong>One item per line</strong> and Enter <strong>Full lank line</strong> to show new features list.', 'digital' ), array( 'strong' => '' ) ),
			),
			array(
				'id'    => 'pricing_amount',
				'type'  => 'text',
				'title' => esc_html__( 'Price', 'digital' ),
			),
			array(
				'id'    => 'pricing_amount_color',
				'type'  => 'color',
				'title' => esc_html__( 'Price Color', 'digital' ),
				'std'   => '#3f2f45',
			),
			array(
				'id'    => 'pricing_desc',
				'type'  => 'textarea',
				'title' => esc_html__( 'Feature Description', 'digital' ),
			),
			array(
				'id'       => 'pricing_button_text',
				'type'     => 'text',
				'title'    => esc_html__( 'Button Text', 'digital' ),
				'sub_desc' => esc_html__( 'Enter button text.', 'digital' ),
			),
			array(
				'id'       => 'pricing_button_url',
				'type'     => 'text',
				'title'    => esc_html__( 'Button URL', 'digital' ),
				'sub_desc' => esc_html__( 'Enter button URL.', 'digital' ),
			),
			array(
				'id'    => 'pricing_table_bg',
				'type'  => 'color',
				'title' => esc_html__( 'Table Background Color', 'digital' ),
				'std'   => '#fdfafa',
			),
			array(
				'id'    => 'pricing_table_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Table Title color', 'digital' ),
				'std'   => '#a09195',
			),
			array(
				'id'    => 'pricing_table_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Table Text color', 'digital' ),
				'std'   => '#a09195',
			),
			array(
				'id'       => 'recommended_button',
				'type'     => 'checkbox',
				'title'    => esc_html__( 'Show Recommended Button', 'digital' ),
				'sub_desc' => wp_kses( __( 'Use this checkbox to set <strong>Recommended Button</strong> for this plan.', 'digital' ), array( 'strong' => '' ) ),
				'std'      => '0',
			),
		),
		'std'        => array(
			'1' => array(
				'group_sort'                => '1',
				'pricing_title'             => 'Basic Plan',
				'pricing_amount'            => '$9.99',
				'pricing_amount_color'      => '#3f2f45',
				'pricing_desc'              => $pricing_desc,
				'pricing_button_text'       => 'Get Started',
				'pricing_button_url'        => '#',
				'pricing_text'              => $pricing_list,
				'pricing_table_bg'          => '#fdfafa',
				'pricing_table_title_color' => '#a09195',
				'pricing_table_text_color'  => '#a09195',
				'recommended_button'        => '0',
			),
			'2' => array(
				'group_sort'                => '2',
				'pricing_title'             => 'Pro Plan',
				'pricing_amount'            => '$19.99',
				'pricing_amount_color'      => '#3f2f45',
				'pricing_desc'              => $pricing_desc,
				'pricing_button_text'       => 'Get Started',
				'pricing_button_url'        => '#',
				'pricing_text'              => $pricing_list,
				'pricing_table_bg'          => '#fdfafa',
				'pricing_table_title_color' => '#a09195',
				'pricing_table_text_color'  => '#a09195',
				'recommended_button'        => '1',
			),
			'3' => array(
				'group_sort'                => '3',
				'pricing_title'             => 'Enterprise',
				'pricing_amount'            => '$29.99',
				'pricing_amount_color'      => '#3f2f45',
				'pricing_desc'              => $pricing_desc,
				'pricing_button_text'       => 'Get Started',
				'pricing_button_url'        => '#',
				'pricing_text'              => $pricing_list,
				'pricing_table_bg'          => '#fdfafa',
				'pricing_table_title_color' => '#a09195',
				'pricing_table_text_color'  => '#a09195',
				'recommended_button'        => '0',
			),
		),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_button_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Pricing Button', 'digital' ),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_button_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Button background Color', 'digital' ),
		'std'        => digital_get_settings( 'primary_color_scheme' ),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Color', 'digital' ),
		'std'        => '#ffffff',
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_button_hover_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Button background Hover Color', 'digital' ),
		'std'        => digital_get_settings( 'secondary_color_scheme' ),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_button_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Hover Color', 'digital' ),
		'std'        => '#ffffff',
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'recommended_button_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Recommended Button', 'digital' ),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'recommended_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'digital' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'digital' ),
		'std'        => esc_html__( 'Recommended', 'digital' ),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'recommended_button_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Background Color', 'digital' ),
		'sub_desc'   => esc_html__( 'Recommended button background color', 'digital' ),
		'std'        => digital_get_settings( 'secondary_color_scheme' ),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_table_container_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Pricing Table Container Settings', 'digital' ),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_table_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'digital' ),
		'sub_desc'   => esc_html__( 'Set Table Section padding from here.', 'digital' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '75px',
			'left'   => '0',
		),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_table_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'digital' ),
		'sub_desc'   => esc_html__( 'Set Pricing Table margin from here.', 'digital' ),
		'std'        => array(
			'top'    => '-60px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_subheading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Subheading Font', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Subheading Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'color'         => '#a09195',
			'font-size'     => '16px',
			'line-height'   => '20px',
			'css-selectors' => '.pricing-section p.sub-heading',
		),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Title Font', 'digital' ),
		'std'        => array(
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '20px',
			'letter-spacing' => '1.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.pricing-section .pricing-title',
		),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Text Font', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Text',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '15px',
			'line-height'   => '20px',
			'css-selectors' => '.pricing-section .pricing-list p',
		),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'pricing_amount_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Price Font', 'digital' ),
		'std'        => array(
			'preview-text'   => 'Price Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '64px',
			'line-height'    => '50px',
			'letter-spacing' => '-1.35px',
			'css-selectors'  => '.pricing-section .pricing-amount',
		),
		'dependency' => $pricing_table,
	),

	array(
		'id'         => 'recommended_button_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Recommended Button Font', 'digital' ),
		'std'        => array(
			'preview-text'   => 'Recommended Button Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'color'          => '#ffffff',
			'font-size'      => '15px',
			'letter-spacing' => '1.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.pricing-section .recommended-button .button',
		),
		'dependency' => $pricing_table,
	),
);
