<?php
/**
 * Sidebars Styling
 *
 * @package Digital
 */

$menus['sidebars-styling'] = array(
	'title' => esc_html__( 'Styling', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the styling of sidebars.', 'digital' ),
);

$sections['sidebars-styling'] = array(

	array(
		'id'    => 'mts_sidebar_title_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Title Styling', 'digital' ),
	),

	array(
		'id'       => 'mts_sidebar_title_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Title Styling Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#f2ebed',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'mts_sidebar_title_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set sidebar title margin from here.', 'digital' ),
		'std'      => array(
			'left'   => '-28px',
			'top'    => '0',
			'right'  => '-28px',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'mts_sidebar_title_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set sidebar title padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '16px',
			'right'  => '20px',
			'bottom' => '20px',
			'left'   => '20px',
		),
	),
	array(
		'id'       => 'widget_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'digital' ),
		'sub_desc' => esc_html__( 'Select border.', 'digital' ),
	),

	array(
		'id'    => 'mts_sidebar_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Sidebar Styling', 'digital' ),
	),

	array(
		'id'       => 'mts_sidebar_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Styling Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#fdfafa',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'mts_sidebar_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set sidebar margin from here.', 'digital' ),
		'std'      => array(
			'left'   => '0',
			'top'    => '0',
			'right'  => '0',
			'bottom' => '40px',
		),
	),
	array(
		'id'       => 'mts_sidebar_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set sidebar padding from here.', 'digital' ),
		'std'      => array(
			'left'   => '28px',
			'top'    => '0',
			'right'  => '28px',
			'bottom' => '28px',
		),
	),
	array(
		'id'       => 'sidebar_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'digital' ),
		'sub_desc' => esc_html__( 'Select border', 'digital' ),
	),
);
