<?php
/**
 * Single AuthorBox
 *
 * @package Digital
 */

$menus['single-authorbox'] = array(
	'title' => esc_html__( 'Author Box', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Author box in single posts page.', 'digital' ),
);

$sections['single-authorbox'] = array(

	array(
		'id'    => 'authorbox_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Settings', 'digital' ),
	),
	array(
		'id'       => 'authorbox_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Author box Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#fdfafa',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'author_box_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Author Box Title', 'digital' ),
		'sub_desc' => esc_html__( 'Enter author box title.', 'digital' ),
		'std'      => '',
	),
	array(
		'id'       => 'authorbox_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set Author box margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '70px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'authorbox_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set Author box padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '48px',
			'right'  => '48px',
			'bottom' => '48px',
			'left'   => '48px',
		),
	),
	array(
		'id'       => 'authorbox_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'digital' ),
		'sub_desc' => esc_html__( 'Select border', 'digital' ),
	),
	array(
		'id'       => 'authorbox_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'digital' ),
		'sub_desc' => esc_html__( 'Author box border radius.', 'digital' ),
		'std'      => '5',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'authorbox_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Author Box Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'line-height'    => '28px',
			'letter-spacing' => '0.5px',
			'color'          => '#3f2f45',
			'css-selectors'  => '.postauthor h4',
		),
	),
	array(
		'id'    => 'authorbox_author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Name Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Author Box Name Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '20px',
			'letter-spacing' => '1.5px',
			'color'          => digital_get_settings( 'secondary_color_scheme' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.postauthor h5, .postauthor h5 a',
		),
	),
	array(
		'id'    => 'authorbox_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Text Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Author Box Text Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'line-height'   => '24px',
			'color'         => '#a09195',
			'css-selectors' => '.postauthor p',
		),
	),

	array(
		'id'    => 'author_img_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Image Settings', 'digital' ),
	),
	array(
		'id'       => 'single_author_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set Author image margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '40px',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_author_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'digital' ),
		'sub_desc' => esc_html__( 'Author image border radius.', 'digital' ),
		'std'      => '100',
		'args'     => array( 'type' => 'number' ),
	),

);
