<?php
/**
 * Single Related Posts
 *
 * @package Digital
 */

$menus['single-related'] = array(
	'title' => esc_html__( 'Related Posts', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of related posts in single posts page.', 'digital' ),
);

$sections['single-related'] = array(

	array(
		'id'       => 'related_posts_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'related_posts_layouts',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Related Posts Layouts', 'digital' ),
		'sub_desc' => esc_html__( 'Choose the Related Posts layouts for your site.', 'digital' ),
		'options'  => array(
			'default'  => array( 'img' => $uri . 'related/r1.jpg' ),
			'related2' => array( 'img' => $uri . 'related/r2.jpg' ),
			'related3' => array( 'img' => $uri . 'related/r3.jpg' ),
			'related5' => array( 'img' => $uri . 'related/r5.jpg' ),
			'related6' => array( 'img' => $uri . 'related/r6.jpg' ),
		),
		'std'      => 'default',
	),

	array(
		'id'         => 'related_posts_grid',
		'type'       => 'select',
		'class'      => 'small',
		'title'      => esc_html__( 'Grid', 'digital' ),
		'sub_desc'   => esc_html__( 'Select the number of grid for Related Posts.', 'digital' ),
		'options'    => array(
			'grid2' => esc_html__( '2', 'digital' ),
			'grid3' => esc_html__( '3', 'digital' ),
			'grid4' => esc_html__( '4', 'digital' ),
		),
		'std'        => 'grid3',
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_related_postsnum',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of related posts', 'digital' ),
		'sub_desc' => esc_html__( 'Enter the number of posts to show in the related posts section.', 'digital' ),
		'std'      => '3',
		'args'     => array(
			'type' => 'number',
		),
	),

	array(
		'id'         => 'related_posts_adcode',
		'type'       => 'ace_editor',
		'mode'       => 'html',
		'title'      => esc_html__( 'Related Posts Ad', 'digital' ),
		'sub_desc'   => esc_html__( 'Paste your Adsense, BSA or other ad code here to show ads in Related Posts Area.', 'digital' ),
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related6',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'related_posts_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Related Posts Position', 'digital' ),
		'sub_desc' => esc_html__( 'Choose the position for related posts, below content will be Full width', 'digital' ),
		'options'  => array(
			'default' => esc_html__( 'Default', 'digital' ),
			'full'    => esc_html__( 'Below Content', 'digital' ),
		),
		'std'      => 'default',
	),

	array(
		'id'       => 'mts_related_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Related Meta Info', 'digital' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on Archives.', 'digital' ),
		'options'  => array(
			'enabled'  => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_category_icon_related',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
			),
			'disabled' => array(
				'author'  => array(
					'label'     => __( 'Author Name', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_author_icon_related',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
				'date'    => array(
					'label'     => esc_html__( 'Date', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_date_icon_related',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_comment_icon_related',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'category' => array(
					'label'     => esc_html__( 'Categories', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_category_icon_related',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
			),
			'disabled' => array(
				'author'  => array(
					'label'     => __( 'Author Name', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_author_icon_related',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_comment_icon_related',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'related_posts_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set related posts margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'related_posts_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set related posts padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'related_posts_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'magnus' ),
		'sub_desc' => esc_html__( 'Select border', 'magnus' ),
	),

	array(
		'id'    => 'related_posts_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Title', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Related Posts Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '22px',
			'color'          => '#3f2f45',
			'letter-spacing' => '0.380px',
			'css-selectors'  => '.related-posts .title a',
		),
	),
	array(
		'id'    => 'related_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'line-height'    => '24px',
			'letter-spacing' => '1.2px',
			'color'          => '#a09195',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.related-posts .latestPost .post-info, .related-posts .latestPost .post-info a',
		),
	),

	array(
		'id'       => 'related_meta_info_category_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Category color', 'digital' ),
		'sub_desc' => esc_html__( 'Select category color from here.', 'digital' ),
		'std'      => digital_get_settings( 'secondary_color_scheme' ),
	),

	array(
		'id'    => 'related_readmore_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Read More Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Read More Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => '24px',
			'color'         => '#a09195',
			'css-selectors' => '.related-posts .readMore a',
		),
	),
	array(
		'id'         => 'related_posts_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Related Posts Text', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Related Posts Text',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '24px',
			'color'         => '#a09195',
			'css-selectors' => '.related-posts .front-view-content',
		),
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related2',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'    => 'related_posts_article_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Related Posts Articles', 'digital' ),
	),

	array(
		'id'       => 'related_article_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'digital' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'related_article_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set related posts articles padding from here.', 'digital' ),
		'std'      => array(
			'left'   => '0',
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
		),
	),

	array(
		'id'       => 'related_article_text_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Text Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set related posts articles text padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
