<?php
/**
 * Single Tab
 *
 * @package Digital
 */

$menus['single-general'] = array(
	'title' => esc_html__( 'General', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'digital' ),
);

$sections['single-general'] = array(

	array(
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'digital' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'digital' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'digital' ),
		'options'  => array(
			'enabled'  => array(
				'content' => array(
					'label'     => esc_html__( 'Post Content', 'digital' ),
					'subfields' => array(),
				),
				'tags'    => array(
					'label'     => esc_html__( 'Tags', 'digital' ),
					'subfields' => array(),
				),
				'social'  => array(
					'label'     => esc_html__( 'Social Share', 'digital' ),
					'subfields' => array(),
				),
				'author'  => array(
					'label'     => esc_html__( 'Author Box', 'digital' ),
					'subfields' => array(),
				),
				'related' => array(
					'label'     => esc_html__( 'Related Posts', 'digital' ),
					'subfields' => array(
						array(
							'id'       => 'related_post_title',
							'type'     => 'text',
							'title'    => esc_html__( 'Related Posts Title', 'digital' ),
							'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'digital' ),
							'std'      => 'Related Posts',
						),
						array(
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'digital' ),
							'options'  => array(
								'tags'       => esc_html__( 'Tags', 'digital' ),
								'categories' => esc_html__( 'Categories', 'digital' ),
							),
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'digital' ),
							'std'      => 'categories',
						),
					),
				),
			),
			'disabled' => array(
				'subscribe' => array(
					'label'     => esc_html__( 'Subscribe Box', 'digital' ),
					'subfields' => array(),
				),
			),
		),
	),
	array(
		'id'       => 'show_single_category',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Category', 'digital' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide category in single post', 'digital' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_single_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Meta Info', 'digital' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on single page', 'digital' ),
		'options'  => array(
			'enabled'  => array(
				'author' => array(
					'label'     => __( 'Author Name', 'tabloid' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'tabloid' ),
						),
					),
				),
				'date'   => array(
					'label'     => esc_html__( 'Date', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'digital' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'digital' ),
						),
					),
				),
			),
		),
	),
	array(
		'id'       => 'mts_author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'digital' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'digital' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'       => 'show_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'digital' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by checking this box.', 'digital' ),
		'std'      => '0',
	),
	array(
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'digital' ),
		'std'        => array(
			'preview-text'   => 'Breadcrumbs',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'letter-spacing' => '1.5px',
			'color'          => '#a09195',
			'css-selectors'  => '.breadcrumb',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'    => 'mts_single_meta_info_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Post Meta Info Font', 'digital' ),
	),
	array(
		'id'    => 'mts_single_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Meta Info Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '28px',
			'letter-spacing' => '1.5px',
			'color'          => '#a09195',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single_post .post-info, .single_post .post-info a',
		),
	),
	array(
		'id'    => 'mts_single_category_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Category', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '28px',
			'letter-spacing' => '1.5px',
			'color'          => digital_get_settings( 'secondary_color_scheme' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.thesinglecategory a',
		),
	),
);
