<?php
/**
 * Social Styling
 *
 * @package Digital
 */

$menus['social']['child']['social-styling'] = array(
	'title' => esc_html__( 'Styling', 'digital' ),
	'desc'  => esc_html__( 'From here, you can control the elements of social sharing buttons styling.', 'digital' ),
);

// Dependency check - Default and Numbered pagination.
$mts_floating_social_buttons = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_floating_social_buttons',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['social-styling'] = array(

	array(
		'id'    => 'social_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Social Share Styling', 'digital' ),
	),

	array(
		'id'       => 'social_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Social Share Padding', 'digital' ),
		'sub_desc' => esc_html__( 'Set social share buttons padding from here.', 'digital' ),
		'std'      => array(
			'top'    => '20px',
			'right'  => '40px',
			'bottom' => '20px',
			'left'   => '40px',
		),
	),

	array(
		'id'       => 'social_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Social Share Margin', 'digital' ),
		'sub_desc' => esc_html__( 'Set social share buttons margin from here.', 'digital' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '40px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'social_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'digital' ),
		'sub_desc' => esc_html__( 'Select border', 'digital' ),
	),

	array(
		'id'       => 'social_styling_background',
		'type'     => 'background',
		'title'    => wp_kses( __( 'Social Share Background', 'digital' ), array( 'strong' => array() ) ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#fdfafa',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'         => 'social_floating_styling_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Floating Social Share Styling', 'digital' ),
		'dependency' => $mts_floating_social_buttons,
	),

	array(
		'id'         => 'social_floating_styling_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Social Share Margin', 'digital' ),
		'sub_desc'   => esc_html__( 'Set social share buttons margin from here.', 'digital' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '20px',
		),
		'dependency' => $mts_floating_social_buttons,
	),
	array(
		'id'         => 'social_button_floating_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Social Share Position', 'digital' ),
		'sub_desc'   => esc_html__( 'Set floating social share button position from here.', 'digital' ),
		'std'        => array(
			'top'    => '380px',
			'right'  => 'auto',
			'bottom' => 'auto',
			'left'   => '-10px',
		),
		'dependency' => $mts_floating_social_buttons,
	),
	array(
		'id'         => 'social_floating_styling_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'digital' ),
		'sub_desc'   => esc_html__( 'Select border', 'digital' ),
		'std'        => array(
			'size'      => '1',
			'style'     => 'solid',
			'color'     => '#e1e1e1',
			'direction' => 'all',
		),
		'dependency' => $mts_floating_social_buttons,
	),
	array(
		'id'         => 'social_floating_styling_background',
		'type'       => 'background',
		'title'      => wp_kses( __( '<strong>Floating</strong> Social Share Background', 'digital' ), array( 'strong' => array() ) ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'digital' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $mts_floating_social_buttons,
	),

);
