<?php
/**
 * Typography tab
 *
 * @package Digital
 */

$menus['typography-collection'] = array(
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'digital' ),
	'hide_title' => true,
);

$sections['typography-collection'] = array(

	array(
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'digital' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'digital' ),
	),

	array(
		'id'    => 'digital_home_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Home Logo Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Logo',
			'preview-color' => 'dark',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'color'         => '#ffffff',
			'css-selectors' => '.home-header #logo a',
		),
	),

	array(
		'id'    => 'digital_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Logo',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'color'         => '#3f2f45',
			'css-selectors' => '#logo a',
		),
	),

	array(
		'id'       => 'home_primary_navigation_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Home Primary Navigation', 'digital' ),
		'sub_desc' => esc_html__( 'Set Homepage Primary Navigation font from here.', 'digital' ),
		'std'      => array(
			'preview-text'  => 'Primary Navigation Font',
			'preview-color' => 'dark',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '14px',
			'color'         => '#ffffff',
			'css-selectors' => '.home-header #primary-navigation a, .header-default.home-header .header-search span.sbutton',
		),
	),

	array(
		'id'       => 'primary_navigation_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Primary Navigation', 'digital' ),
		'sub_desc' => esc_html__( 'Set Primary Navigation font from here. The fonts changes will be shown on all the other pages except homepage.', 'digital' ),
		'std'      => array(
			'preview-text'  => 'Primary Navigation Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '14px',
			'color'         => '#a09195',
			'css-selectors' => '#primary-navigation a',
		),
	),
	array(
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'line-height'   => '24px',
			'color'         => '#a09195',
			'css-selectors' => 'body',
		),
	),
	array(
		'id'    => 'single_post_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Content Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Single Post Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '18px',
			'line-height'   => '32px',
			'color'         => '#5e4c52',
			'css-selectors' => '.post-single-content',
		),
	),
	array(
		'id'    => 'home_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Archive Article Title', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Archive Article Title',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '24px',
			'line-height'   => '28px',
			'color'         => '#3f2f45',
			'css-selectors' => '.latestPost .title a',
		),
	),
	array(
		'id'    => 'archive_page_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Pages Title', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Pages Title',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'color'         => '#3f2f45',
			'font-size'     => '32px',
			'line-height'   => '1.25',
			'css-selectors' => '.page-title, .archive .page-title, .search .page-title',
		),
	),
	array(
		'id'    => 'single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Title', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Single Article Title',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '48px',
			'line-height'   => '44px',
			'color'         => '#3f2f45',
			'css-selectors' => '.single-title',
		),
	),

	array(
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'line-height'    => '20px',
			'color'          => '#a09195',
			'letter-spacing' => '1.4px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget h3.widget-title',
		),
	),

	array(
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '14px',
			'line-height'   => '24px',
			'color'         => '#a09195',
			'css-selectors' => '#sidebar .widget, #sidebar .widget .post-excerpt',
		),
	),

	array(
		'id'    => 'sidebar_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links Widgets', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Links Widgets',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'line-height'    => '16px',
			'color'          => '#3f2f45',
			'letter-spacing' => '0.294px',
			'css-selectors'  => '#sidebar .widget.widget_archive a, #sidebar .widget.widget_categories a, #sidebar .widget.widget_pages a, #sidebar .widget.widget_tag_cloud a, #sidebar .widget.widget_meta a, #sidebar .widget.widget_nav_menu a, #sidebar-archives a, #sidebar-meta a',
		),
	),

	array(
		'id'    => 'sidebar_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Posts Title', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Posts Titles',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'line-height'    => '16px',
			'letter-spacing' => '0.294px',
			'color'          => '#3f2f45',
			'css-selectors'  => '.sidebar .post-title a, .sidebar .entry-title a, .sidebar .wpt_comment_meta a',
		),
	),

	array(
		'id'    => 'sidebar_big_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Big Posts Title', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Big Posts Titles',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '24px',
			'letter-spacing' => '0.5px',
			'color'          => '#3f2f45',
			'css-selectors'  => '.sidebar .vertical-small .post-title a, .sidebar .wpt_thumb_large + .entry-title a, .sidebar .review_thumb_large .entry-title a',
		),
	),

	array(
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Meta font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Meta Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#a09195',
			'letter-spacing' => '1px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.sidebar .widget .post-info, .sidebar .widget .wpt_widget_content .wpt-postmeta, .sidebar .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'sidebar_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Subscribe Title Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '32px',
			'line-height'    => '28px',
			'letter-spacing' => '3.2px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widget Title', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Footer Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '15px',
			'line-height'    => '20px',
			'color'          => '#3f2f45',
			'letter-spacing' => '1.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.footer-widgets h3, .brands-title',
		),
	),

	array(
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Footer Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '14px',
			'line-height'   => '20px',
			'color'         => '#a09195',
			'css-selectors' => '.footer-widgets, footer .widget .wpt_excerpt, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p',
		),
	),

	array(
		'id'    => 'footer_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Links Widgets', 'digital' ),
		'std'   => array(
			'preview-text'  => 'Footer Links Widgets',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '500',
			'font-size'     => '15px',
			'line-height'   => '20px',
			'color'         => '#a09195',
			'css-selectors' => '#site-footer .widget.widget_archive a, #site-footer .widget.widget_categories a, #site-footer .widget.widget_pages a, #site-footer .widget.widget_tag_cloud a, #site-footer .widget.widget_meta a, #site-footer .widget.widget_nav_menu a',
		),
	),

	array(
		'id'    => 'top_footer_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Post Title', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Footer Posts Title',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'line-height'    => '18px',
			'letter-spacing' => '0.294px',
			'color'          => '#3f2f45',
			'css-selectors'  => '#site-footer .post-title a, #site-footer .entry-title a',
		),
	),

	array(
		'id'    => 'footer_big_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Big Posts Title', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Footer Big Posts Titles',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '24px',
			'letter-spacing' => '0.5px',
			'color'          => '#3f2f45',
			'css-selectors'  => '#site-footer .vertical-small .post-title a, #site-footer .wpt_thumb_large + .entry-title a, #site-footer .review_thumb_large .entry-title a',
		),
	),

	array(
		'id'    => 'top_footer_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Footer Font',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#a09195',
			'letter-spacing' => '1px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => 'footer .widget .post-info, footer .widget .wpt_widget_content .wpt-postmeta, footer .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'footer_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Subscribe Title Font', 'digital' ),
		'std'   => array(
			'preview-text'   => 'Footer Subscribe Title Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Red Hat Display',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'line-height'    => '1.5',
			'letter-spacing' => '1px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#site-footer .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'digital' ),
		'std'   => array(
			'preview-text'  => 'H1 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'color'         => '#3f2f45',
			'css-selectors' => 'h1',
		),
	),

	array(
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'digital' ),
		'std'   => array(
			'preview-text'  => 'H2 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '28px',
			'color'         => '#3f2f45',
			'css-selectors' => 'h2',
		),
	),

	array(
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'digital' ),
		'std'   => array(
			'preview-text'  => 'H3 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '24px',
			'color'         => '#3f2f45',
			'css-selectors' => 'h3',
		),
	),

	array(
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'digital' ),
		'std'   => array(
			'preview-text'  => 'H4 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'color'         => '#3f2f45',
			'css-selectors' => 'h4',
		),
	),

	array(
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'digital' ),
		'std'   => array(
			'preview-text'  => 'H5 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'color'         => '#3f2f45',
			'css-selectors' => 'h5',
		),
	),

	array(
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'digital' ),
		'std'   => array(
			'preview-text'  => 'H6 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '17px',
			'color'         => '#3f2f45',
			'css-selectors' => 'h6',
		),
	),

	array(
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'digital' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'digital' ),
		'options'  => array(
			'latin'        => esc_html__( 'Latin', 'digital' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'digital' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'digital' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'digital' ),
			'greek'        => esc_html__( 'Greek', 'digital' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'digital' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'digital' ),
			'khmer'        => esc_html__( 'Khmer', 'digital' ),
			'devanagari'   => esc_html__( 'Devanagari', 'digital' ),
		),
		'std'      => array( 'latin' ),
	),
);
