<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Digital
 */

get_header(); ?>

	<div id="wrapper" class="<?php digital_single_page_class(); ?>">

		<?php digital_action( 'pages_title_section' ); ?>

		<div class="container clearfix">

			<article class="<?php digital_article_class(); ?>">

				<div id="content_box" >

				<?php
				// Elementor 'single' location.
				if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'single' ) ) {
					if ( have_posts() ) :
						while ( have_posts() ) :
							the_post();
							?>
						<div id="post-<?php the_ID(); ?>" <?php post_class( 'g post' ); ?>>

							<div class="single_page">
								<?php
								if ( digital_get_settings( 'show_breadcrumb' ) ) {
									digital_breadcrumbs();
								}
								$header_animation = digital_get_post_header_effect();
								if ( has_post_thumbnail() && ( 'parallax' === $header_animation || 'zoomout' === $header_animation ) ) :
									?>
									<header>
										<h1 class="title entry-title page-title"><?php the_title(); ?></h1>
									</header>
									<?php
								endif;
								?>

								<div class="post-content box mark-links entry-content">
									<?php
									if ( ! empty( digital_get_settings( 'mts_social_buttons_on_pages' ) ) && null !== digital_get_settings( 'mts_social_button_position' ) && 'top' === digital_get_settings( 'mts_social_button_position' ) ) {
										digital_social_buttons();
									}

									the_content();

									// Single Page Pagination.
									$args = array(
										'before'           => '<div class="pagination">',
										'after'            => '</div>',
										'link_before'      => '<span class="current"><span class="currenttext">',
										'link_after'       => '</span></span>',
										'next_or_number'   => 'next_and_number',
										'nextpagelink'     => __( 'Next', 'digital' ),
										'previouspagelink' => __( 'Previous', 'digital' ),
										'pagelink'         => '%',
										'echo'             => 1,
									);
									wp_link_pages( $args );

									if ( ( ! empty( digital_get_settings( 'mts_social_buttons_on_pages' ) ) && null !== digital_get_settings( 'mts_social_button_position' ) ) && 'top' !== digital_get_settings( 'mts_social_button_position' ) ) {
										digital_social_buttons();
									}
									?>

								</div><!--.post-content box mark-links-->

							</div>

						</div>
							<?php
							// Comment area.
							comments_template( '', true );

					endwhile;

				endif;
				}
				?>

				</div>

			</article>

		<?php get_sidebar(); ?>

	</div>

<?php
get_footer();
