<?php
/**
 * Homepage Section - 3 Column Features
 *
 * @package Digital
 */

$threefeature = digital_get_settings( 'home_threefeature' );

if ( empty( $threefeature ) && ! is_array( $threefeature ) ) {
	return;
}
?>
<section class="threefeature-section clearfix">
	<?php
	if ( digital_get_settings( 'show_threefeature_svg' ) ) :
		echo '<div class="section-svg threefeature-svg"></div>';
	endif;
	?>
	<div class="container clearfix">
		<div class="grid-items">
			<?php
			$i = 0;
			foreach ( $threefeature as $feature ) {
				$archor_start = ! empty( $feature['threefeature_link'] ) ? sprintf( '<a href="%1$s">', $feature['threefeature_link'] ) : '';
				$archor_end   = ! empty( $feature['threefeature_link'] ) ? '</a>' : '';
				$icon         = ! empty( $feature['threefeature_icon'] ) ? sprintf( '<div class="grid-icon fa fa-%1$s"></div>', $feature['threefeature_icon'] ) : '';
	      $title        = ! empty( $feature['threefeature_title'] ) ? sprintf( '<h3>%1$s</h3>', $feature['threefeature_title'] ) : '';
	      $text         = ! empty( $feature['threefeature_text'] ) ? sprintf( '<p>%1$s</p>', $feature['threefeature_text'] ) : '';
				printf( '<div class="grid-item item-' . ++$i . '">%1$s%2$s%3$s%4$s%5$s</div>', $icon, $archor_start, $title, $archor_end, $text );
			}
			?>
		</div>
	</div><!-- .container -->
</section>
