<?php
/**
 * Homepage Section - Blog
 *
 * @package Digital
 */

global $wp_query;

$icon          = digital_get_settings( 'blog_icon' );
$tagline       = digital_get_settings( 'blog_tagline' );
$title         = digital_get_settings( 'home_blog_title' );
$blog_post_num = digital_get_settings( 'blog_post_num' );

$wp_query = new WP_Query( array( 'posts_per_page' => $blog_post_num ) );

if ( empty( $icon ) && empty( $tagline ) && empty( $title ) && empty( $blog_post_num ) && empty( $wp_query ) ) {
	return;
}
?>

<section class="blog-section clearfix">
	<?php
	if ( digital_get_settings( 'show_blog_svg' ) ) :
		echo '<div class="section-svg blog-svg"></div>';
	endif;
	?>
	<div class="blog-section-inner">
		<div class="container">
			<?php
			if ( ! empty( $icon ) ) {
				echo '<div class="blog-icon"><i class="fa fa-' . $icon . '"></i></div>';
			}
			if ( ! empty( $tagline ) ) {
				echo '<div class="tagline">' . $tagline . '</div>';
			}
			if ( ! empty( $title ) ) {
				echo '<h2 class="heading">' . $title . '</h2>';
			}
			echo '<ul class="post-wrapper">';
			if ( $wp_query->have_posts() ) :
				while ( $wp_query->have_posts() ) :
					$wp_query->the_post();
					?>
					<li>
						<div class="featured-thumbnail">
							<?php
							if ( has_post_thumbnail() ) {
								$attr = [
									'title'   => esc_attr( get_the_title() ),
									'alt'     => esc_attr( get_the_title() ),
									'loading' => 'lazy',
								];
								the_post_thumbnail( 'digital-featured', $attr );
							} else {
								echo '<img src="' . get_template_directory_uri() . '/images/nothumb-digital-featured.png" alt="' . __( 'No Preview', 'digital' ) . '"  class="wp-post-image" />';
							}
							?>
						</div>
						<div class="wrapper">
							<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="title">
								<h3><?php the_title(); ?></h3>
							</a>
							<div class="front-view-content">
								<?php
								if ( empty( digital_excerpt() ) ) {
									echo digital_truncate( get_the_content(), 22, 'words' );
								} else {
									echo digital_excerpt( 22 );
								}
								?>
							</div>
						</div>
					</li>
					<?php
				endwhile;
			endif;
			wp_reset_query();
			echo '</ul>';
			?>
		</div><!-- .container -->
	</div>
</section>
