<?php
/**
 * Homepage Section - CTA 2
 *
 * @package CTA 2
 */

$cta2_heading = digital_get_settings( 'cta2_heading' );
$cta2_text    = digital_get_settings( 'cta2_text' );
// Button
$button      = digital_get_settings( 'cta2_button' );
$button_text = digital_get_settings( 'cta2_button_text' );
$button_url  = digital_get_settings( 'cta2_button_url' );

if ( ! $cta2_heading && ! $cta2_text && ! $button ) {
	return;
}
?>

<section class="cta2-section clearfix">
	<?php
	if ( digital_get_settings( 'show_cta2_svg' ) ) :
		echo '<div class="section-svg cta2-svg"></div>';
	endif;
	?>
	<div class="container">
		<div class="cta2-inner-section">
			<?php
			if ( $cta2_heading ) {
				echo '<h2>' . $cta2_heading . '</h2>';
			}
			if ( $cta2_text ) {
				echo '<p class="text">' . $cta2_text . '</p>';
			}
			if ( ! empty( $button ) && ! empty( $button_text ) && ! empty( $button_url ) ) {
				?>
				<div class="cta2-button">
					<div class="cta2-button-inner">
						<?php printf( '<a class="button" href="%1$s">%2$s</a>', $button_url, $button_text ); ?>
					</div>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</section>
