<?php
/**
 * Homepage Section - CTA
 *
 * @package CTA
 */

$cta_heading = digital_get_settings( 'cta_heading' );
$cta_text    = digital_get_settings( 'cta_text' );
// Button
$button      = digital_get_settings( 'cta_button' );
$button_text = digital_get_settings( 'cta_button_text' );
$button_url  = digital_get_settings( 'cta_button_url' );

if ( ! $cta_heading && ! $cta_text && ! $button ) {
	return;
}
?>

<section class="cta-section clearfix">
	<?php
	if ( digital_get_settings( 'show_cta_svg' ) ) :
		echo '<div class="section-svg cta-svg"></div>';
	endif;
	?>
	<div class="container">
		<div class="cta-inner-section">
			<?php
			if ( $cta_heading ) {
				echo '<h2>' . $cta_heading . '</h2>';
			}
			if ( $cta_text ) {
				echo '<p class="text">' . $cta_text . '</p>';
			}
			if ( ! empty( $button ) && ! empty( $button_text ) && ! empty( $button_url ) ) {
				?>
				<div class="cta-button">
					<div class="cta-button-inner">
						<?php printf( '<a class="button" href="%1$s">%2$s</a>', $button_url, $button_text ); ?>
					</div>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</section>
