<?php
/**
 * Homepage Section - Featured Video
 *
 * @package Digital
 */

$icon    = digital_get_settings( 'featured_video_icon' );
$tagline = digital_get_settings( 'featured_video_tagline' );
$title   = digital_get_settings( 'featured_video_title' );
$column  = digital_get_settings( 'featured_videos_column' );
$videos  = digital_get_settings( 'featured_videos' );

if ( empty( $icon ) && empty( $tagline ) && empty( $title ) && ! is_array( $videos ) ) {
	return;
}
?>

<section class="featured-videos-section grid-<?php echo $column; ?> clearfix">
	<?php
	if ( digital_get_settings( 'show_videos_svg' ) ) :
		echo '<div class="section-svg videos-svg"></div>';
	endif;
	?>
	<div class="container">
		<?php
		if ( ! empty( $icon ) ) {
			echo '<div class="featured-icon"><i class="fa fa-' . $icon . '"></i></div>';
		}
		if ( ! empty( $tagline ) ) {
			echo '<div class="tagline">' . $tagline . '</div>';
		}
		if ( ! empty( $title ) ) {
			echo '<h2 class="heading">' . $title . '</h2>';
		}
		if ( $videos && is_array( $videos ) ) {
			echo '<div class="videos-lists">';
			foreach ( $videos as $video ) {
				printf(
					'<div class="video-list"><a class="magnific-video" href="%1$s"><img src="%2$s"><div class="caption"><i class="fa fa-play"></i></div></a></div>',
					$video['video_url'],
					$video['video_image']
				);
			}
			echo '</div>';
		}
		?>
	</div><!-- .container -->
</section>
