<?php
/**
 * Homepage Section - Single Testimonial
 *
 * @package Digital
 */

$img   = digital_get_settings( 'single_testimonial_user_image' );
$title = digital_get_settings( 'single_testimonial_title' );
$text  = digital_get_settings( 'single_testimonial_text' );
$user  = digital_get_settings( 'single_testimonial_user' );

if ( empty( $img ) && empty( $title ) && empty( $text ) && empty( $user )  ) {
	return;
}
?>

<section class="single-testimonial-section clearfix">
	<?php
	if ( digital_get_settings( 'show_single_testimonial_svg' ) ) :
		echo '<div class="section-svg single-testimonial-svg"></div>';
	endif;
	?>
	<div class="container">
		<div class="single-testimonial-section-inner">
			<div class="single-testimonial-section-content">
				<?php
				if ( ! empty( $title ) || ! empty( $text ) || ! empty( $user ) ) {
					echo '<div class="single-testimonial-section-left">';
				}
				if ( ! empty( $title ) ) {
					echo '<h2 class="single-testimonial-heading">' . $title . '</h2>';
				}
				if ( ! empty( $text ) ) {
					echo '<p class="single-testimonial-text">' . $text . '</p>';
				}
				if ( ! empty( $user ) ) {
					echo '<p class="single-testimonial-user">' . $user . '</p>';
				}
				if ( ! empty( $title ) || ! empty( $text ) || ! empty( $user ) ) {
					echo '</div>';
				}
				if ( ! empty( $img ) ) {
					echo '<div class="single-testimonial-image"><img src="' . $img . '"></div>';
				}
				?>
			</div>
		</div>
	</div><!-- .container -->
</section>
