<?php
/**
 * Homepage Section - Testimonials
 *
 * @package Digital
 */
$tagline      = digital_get_settings( 'testimonials_carousel_tagline' );
$title        = digital_get_settings( 'testimonials_carousel_heading' );
$testimonials = digital_get_settings( 'testimonials' );

if ( empty( $testimonials ) && ! is_array( $testimonials ) ) {
	return;
}
?>
<section class="testimonials-carousel-section clearfix">
	<?php
	if ( digital_get_settings( 'show_cta2_svg' ) ) :
		echo '<div class="section-svg carousel-svg"></div>';
	endif;
	if ( ! empty( $tagline ) || ! empty( $title ) ) {
		echo '<div class="testimonials-carousel-heading">';
		echo '<div class="container">';
	}
	if ( ! empty( $tagline ) ) {
		echo '<div class="tagline">' . $tagline . '</div>';
	}
	if ( ! empty( $title ) ) {
		echo '<h2 class="heading">' . $title . '</h2>';
	}
	if ( ! empty( $tagline ) || ! empty( $title ) ) {
		echo '</div>';
		echo '</div>';
	}
	if ( $testimonials && is_array( $testimonials ) ) {
		// Testimonials lists.
		echo '<div class="testimonials-container">';
		echo '<div class="testimonials">';
		foreach ( $testimonials as $testimonial ) {
			?>
			<div class="testimonials-item">
				<div class="testimonials-content">
					<p class="testimonial"><?php echo $testimonial['author_content']; ?></p>
					<div class="author-img"><img src="<?php echo $testimonial['author_pic']; ?>"></div>
					<h3><?php echo $testimonial['author_name']; ?></h3>
					<div class="author-rating"><?php echo digital_star_rating( $testimonial['author_rating'] ); ?></div>
				</div>
			</div>
			<?php
		}
		echo '</div>';
		echo '</div>';
	}
	?>
</section>
